summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/apex/apex.yml23
-rw-r--r--jjb/compass4nfv/compass-ci-jobs.yml1
-rw-r--r--jjb/compass4nfv/compass-deploy.sh5
-rw-r--r--jjb/compass4nfv/compass-project-jobs.yml1
-rw-r--r--jjb/compass4nfv/compass-verify-jobs.yml1
-rwxr-xr-xjjb/daisy4nfv/daisy4nfv-download-artifact.sh13
-rwxr-xr-xjjb/daisy4nfv/daisy4nfv-virtual-deploy.sh21
-rw-r--r--jjb/fuel/fuel-daily-jobs.yml14
-rwxr-xr-xjjb/fuel/fuel-download-artifact.sh4
-rw-r--r--jjb/opnfv/installer-params.yml10
-rw-r--r--jjb/opnfv/opnfv-docs.yml2
-rw-r--r--jjb/opnfv/opnfv-lint.yml2
-rw-r--r--jjb/vswitchperf/vswitchperf.yml22
-rw-r--r--jjb/yardstick/yardstick-project-jobs.yml2
14 files changed, 81 insertions, 40 deletions
diff --git a/jjb/apex/apex.yml b/jjb/apex/apex.yml
index 643972bd2..8bfc53d59 100644
--- a/jjb/apex/apex.yml
+++ b/jjb/apex/apex.yml
@@ -220,13 +220,13 @@
git-revision: false
block: true
same-node: true
-# - trigger-builds:
-# - project: 'functest-apex-{verify-slave}-suite-{stream}'
-# predefined-parameters: |
-# DEPLOY_SCENARIO=os-odl_l2-nofeature-ha
-# FUNCTEST_SUITE_NAME=healthcheck
-# block: true
-# same-node: true
+ - trigger-builds:
+ - project: 'functest-apex-{verify-slave}-suite-{stream}'
+ predefined-parameters: |
+ DEPLOY_SCENARIO=os-odl_l2-nofeature-ha
+ FUNCTEST_SUITE_NAME=healthcheck
+ block: true
+ same-node: true
- 'apex-workspace-cleanup'
- job-template:
@@ -949,11 +949,16 @@
- trigger:
name: 'apex-master'
triggers:
- - timed: '0 0 20 8 *'
+ - timed: '0 3 * * 0'
+ - timed: '0 3 * * 4'
- trigger:
name: 'apex-colorado'
triggers:
- - timed: '0 3 * * *'
+ - timed: '0 3 * * 1'
+ - timed: '0 3 * * 2'
+ - timed: '0 3 * * 3'
+ - timed: '0 3 * * 5'
+ - timed: '0 3 * * 6'
- trigger:
name: 'apex-gs-clean-{stream}'
triggers:
diff --git a/jjb/compass4nfv/compass-ci-jobs.yml b/jjb/compass4nfv/compass-ci-jobs.yml
index eb9113114..b70bfc67b 100644
--- a/jjb/compass4nfv/compass-ci-jobs.yml
+++ b/jjb/compass4nfv/compass-ci-jobs.yml
@@ -248,6 +248,7 @@
name: COMPASS_OPENSTACK_VERSION
choices:
- 'mitaka'
+ - 'newton'
- 'liberty'
- choice:
name: COMPASS_OS_VERSION_OPTION
diff --git a/jjb/compass4nfv/compass-deploy.sh b/jjb/compass4nfv/compass-deploy.sh
index 65e44b670..256717953 100644
--- a/jjb/compass4nfv/compass-deploy.sh
+++ b/jjb/compass4nfv/compass-deploy.sh
@@ -33,6 +33,11 @@ if [[ "${COMPASS_OS_VERSION_OPTION}" = "xenial" ]] && [[ "${OPENSTACK_VERSION}"
export OPENSTACK_VERSION=${OPENSTACK_VERSION}_${COMPASS_OS_VERSION_OPTION}
export OS_VERSION=${COMPASS_OS_VERSION_OPTION}
fi
+if [[ "${OPENSTACK_VERSION}" = "newton" ]]; then
+ export OS_VERSION="xenial"
+ export OPENSTACK_VERSION=${OPENSTACK_VERSION}_${OS_VERSION}
+fi
+
if [[ "${DEPLOY_SCENARIO}" =~ "-ocl" ]]; then
export NETWORK_CONF_FILE=network_ocl.yml
diff --git a/jjb/compass4nfv/compass-project-jobs.yml b/jjb/compass4nfv/compass-project-jobs.yml
index 3a52e91c9..50ff072fb 100644
--- a/jjb/compass4nfv/compass-project-jobs.yml
+++ b/jjb/compass4nfv/compass-project-jobs.yml
@@ -125,6 +125,7 @@
name: COMPASS_OPENSTACK_VERSION
choices:
- 'mitaka'
+ - 'newton'
- 'liberty'
- choice:
name: COMPASS_OS_VERSION
diff --git a/jjb/compass4nfv/compass-verify-jobs.yml b/jjb/compass4nfv/compass-verify-jobs.yml
index 82e3dfdf2..87c19a9c5 100644
--- a/jjb/compass4nfv/compass-verify-jobs.yml
+++ b/jjb/compass4nfv/compass-verify-jobs.yml
@@ -243,6 +243,7 @@
name: COMPASS_OPENSTACK_VERSION
choices:
- 'mitaka'
+ - 'newton'
- 'liberty'
- choice:
name: COMPASS_OS_VERSION
diff --git a/jjb/daisy4nfv/daisy4nfv-download-artifact.sh b/jjb/daisy4nfv/daisy4nfv-download-artifact.sh
index 7ac76a5eb..90b5fa62f 100755
--- a/jjb/daisy4nfv/daisy4nfv-download-artifact.sh
+++ b/jjb/daisy4nfv/daisy4nfv-download-artifact.sh
@@ -11,26 +11,31 @@
set -o errexit
set -o pipefail
+# use proxy url to replace the nomral URL, for googleusercontent.com will be blocked randomly
+[[ "$NODE_NAME" =~ (zte) ]] && GS_URL=$GS_BASE_PROXY
+
if [[ "$JOB_NAME" =~ "merge" ]]; then
echo "Downloading http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties"
# get the properties file for the Daisy4nfv BIN built for a merged change
- curl -s -o $WORKSPACE/latest.properties http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties
+ curl -L -s -o $WORKSPACE/latest.properties http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties
else
# get the latest.properties file in order to get info regarding latest artifact
echo "Downloading http://$GS_URL/latest.properties"
- curl -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
+ curl -L -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
fi
# check if we got the file
-[[ -f latest.properties ]] || exit 1
+[[ -f $WORKSPACE/latest.properties ]] || exit 1
# source the file so we get artifact metadata
-source latest.properties
+source $WORKSPACE/latest.properties
# echo the info about artifact that is used during the deployment
OPNFV_ARTIFACT=${OPNFV_ARTIFACT_URL/*\/}
echo "Using $OPNFV_ARTIFACT for deployment"
+[[ "$NODE_NAME" =~ (zte) ]] && OPNFV_ARTIFACT_URL=${GS_BASE_PROXY%%/*}/$OPNFV_ARTIFACT_URL
+
# log info to console
echo "Downloading the $INSTALLER_TYPE artifact using URL http://$OPNFV_ARTIFACT_URL"
echo "This could take some time..."
diff --git a/jjb/daisy4nfv/daisy4nfv-virtual-deploy.sh b/jjb/daisy4nfv/daisy4nfv-virtual-deploy.sh
index 8936be6c4..9de494fc2 100755
--- a/jjb/daisy4nfv/daisy4nfv-virtual-deploy.sh
+++ b/jjb/daisy4nfv/daisy4nfv-virtual-deploy.sh
@@ -4,3 +4,24 @@ echo "--------------------------------------------------------"
echo "This is diasy4nfv virtual deploy job!"
echo "--------------------------------------------------------"
+cd $WORKSPACE
+
+if [[ "$NODE_NAME" =~ "-virtual" ]]; then
+ export NETWORK_CONF=./deploy/config/vm_environment/$NODE_NAME/network.yml
+ export DHA_CONF=./deploy/config/vm_environment/$NODE_NAME/deploy.yml
+else
+ exit 1
+fi
+
+./ci/deploy/deploy.sh ${DHA_CONF} ${NETWORK_CONF}
+
+if [ $? -ne 0 ]; then
+ echo "depolyment failed!"
+ deploy_ret=1
+fi
+
+echo
+echo "--------------------------------------------------------"
+echo "Done!"
+
+exit $deploy_ret
diff --git a/jjb/fuel/fuel-daily-jobs.yml b/jjb/fuel/fuel-daily-jobs.yml
index 1c7946a87..6c2d6f021 100644
--- a/jjb/fuel/fuel-daily-jobs.yml
+++ b/jjb/fuel/fuel-daily-jobs.yml
@@ -273,31 +273,31 @@
- trigger:
name: 'fuel-os-odl_l2-nofeature-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 23 * * *'
+ - timed: '' # '5 23 * * *'
- trigger:
name: 'fuel-os-odl_l3-nofeature-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 2 * * *'
+ - timed: '' # '5 2 * * *'
- trigger:
name: 'fuel-os-onos-sfc-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 5 * * *'
+ - timed: '' # '5 5 * * *'
- trigger:
name: 'fuel-os-onos-nofeature-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 8 * * *'
+ - timed: '' # '5 8 * * *'
- trigger:
name: 'fuel-os-odl_l2-sfc-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 11 * * *'
+ - timed: '' # '5 11 * * *'
- trigger:
name: 'fuel-os-odl_l2-bgpvpn-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 14 * * *'
+ - timed: '' # '5 14 * * *'
- trigger:
name: 'fuel-os-nosdn-kvm-ha-baremetal-daily-master-trigger'
triggers:
- - timed: '5 17 * * *'
+ - timed: '' # '5 17 * * *'
- trigger:
name: 'fuel-os-nosdn-ovs-ha-baremetal-daily-master-trigger'
triggers:
diff --git a/jjb/fuel/fuel-download-artifact.sh b/jjb/fuel/fuel-download-artifact.sh
index 3f691d821..fd824ca44 100755
--- a/jjb/fuel/fuel-download-artifact.sh
+++ b/jjb/fuel/fuel-download-artifact.sh
@@ -16,11 +16,11 @@ set -o pipefail
if [[ "$JOB_NAME" =~ "merge" ]]; then
echo "Downloading http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties"
# get the properties file for the Fuel ISO built for a merged change
- curl -s -o $WORKSPACE/latest.properties http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties
+ curl -L -s -o $WORKSPACE/latest.properties http://$GS_URL/opnfv-gerrit-$GERRIT_CHANGE_NUMBER.properties
else
# get the latest.properties file in order to get info regarding latest artifact
echo "Downloading http://$GS_URL/latest.properties"
- curl -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
+ curl -L -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
fi
# check if we got the file
diff --git a/jjb/opnfv/installer-params.yml b/jjb/opnfv/installer-params.yml
index ec0b86170..55f4769b7 100644
--- a/jjb/opnfv/installer-params.yml
+++ b/jjb/opnfv/installer-params.yml
@@ -59,7 +59,7 @@
parameters:
- string:
name: INSTALLER_IP
- default: '192.168.Y.Y'
+ default: '192.168.122.5'
description: 'IP of the installer'
- string:
name: INSTALLER_TYPE
@@ -67,11 +67,11 @@
description: 'Installer used for deploying OPNFV on this POD'
- string:
name: OS_RELEASE
- default: 'mitaka'
- description: 'OpenStack release (liberty|mitaka)'
+ default: 'newton'
+ description: 'OpenStack release (mitaka|newton)'
- string:
name: EXTERNAL_NETWORK
- default: ext-net4
+ default: ext-net
description: "External network used for Floating ips."
- string:
name: LAB_CONFIG
@@ -84,7 +84,7 @@
- string:
name: UBUNTU_DISTRO
default: 'xenial'
- description: "Ubuntu distribution to use for Openstack (trusty|xenial)"
+ description: "Ubuntu distribution to use for Openstack (xenial)"
- string:
name: CPU_ARCHITECTURE
default: 'amd64'
diff --git a/jjb/opnfv/opnfv-docs.yml b/jjb/opnfv/opnfv-docs.yml
index 307c1db44..442e8ea71 100644
--- a/jjb/opnfv/opnfv-docs.yml
+++ b/jjb/opnfv/opnfv-docs.yml
@@ -19,7 +19,7 @@
disabled: false
- colorado:
branch: 'stable/{stream}'
- doc-version: '2.0'
+ doc-version: '3.0'
gs-pathname: '/{stream}/{doc-version}'
disabled: false
diff --git a/jjb/opnfv/opnfv-lint.yml b/jjb/opnfv/opnfv-lint.yml
index f2312f54c..6860dd037 100644
--- a/jjb/opnfv/opnfv-lint.yml
+++ b/jjb/opnfv/opnfv-lint.yml
@@ -55,7 +55,7 @@
comment-contains-value: 'reverify'
projects:
- project-compare-type: 'REG_EXP'
- project-pattern: 'functest|sdnvpn|qtip|daisy|sfc|compass4nfv'
+ project-pattern: 'functest|sdnvpn|qtip|daisy|sfc'
branches:
- branch-compare-type: 'ANT'
branch-pattern: '**/{branch}'
diff --git a/jjb/vswitchperf/vswitchperf.yml b/jjb/vswitchperf/vswitchperf.yml
index 3f7f6bf2d..5f952de00 100644
--- a/jjb/vswitchperf/vswitchperf.yml
+++ b/jjb/vswitchperf/vswitchperf.yml
@@ -63,11 +63,12 @@
concurrent: true
properties:
- - throttle:
- enabled: true
- max-total: 3
- max-per-node: 2
- option: 'project'
+ - build-blocker:
+ use-build-blocker: true
+ blocking-jobs:
+ - 'vswitchperf-verify-.*'
+ - 'vswitchperf-merge-.*'
+ block-level: 'NODE'
parameters:
- project-parameter:
@@ -125,11 +126,12 @@
concurrent: true
properties:
- - throttle:
- enabled: true
- max-total: 3
- max-per-node: 2
- option: 'project'
+ - build-blocker:
+ use-build-blocker: true
+ blocking-jobs:
+ - 'vswitchperf-verify-.*'
+ - 'vswitchperf-merge-.*'
+ block-level: 'NODE'
parameters:
- project-parameter:
diff --git a/jjb/yardstick/yardstick-project-jobs.yml b/jjb/yardstick/yardstick-project-jobs.yml
index db07e9d83..0cc6cd606 100644
--- a/jjb/yardstick/yardstick-project-jobs.yml
+++ b/jjb/yardstick/yardstick-project-jobs.yml
@@ -122,7 +122,7 @@
# install python packages
easy_install -U setuptools
easy_install -U pip
- pip install -r tests/ci/requirements.txt
+ pip install -r requirements.txt
pip install -e .
# unit tests